
/* 시간표 */
.timetable { padding:0;gap:0; }
.timetable > :first-child       { width:8%; text-align:center; background-color:var(--backgroundColorLight); }
.timetable > :nth-child(n+2)    { width:12%; text-align:center; }
.timetable > :last-child        { width:8%; text-align:center; background-color:var(--backgroundColorLight); }


.timetable ul > :first-child { line-height:3; background-color:var(--backgroundColorDeep); height:40px; font-weight:bold; }

.timetable ul { display:inline-block; }
.timetable li { height:26px; } /* 최소 35px 30분짜리 */
.timetable li:nth-child(odd) { border-bottom: 1px solid var(--fontColorDeep); }
.timetable li:nth-child(even) { border-bottom: 1px solid var(--backgroundColorDeep); }



.timetable ul+ul li { border-left: 1px solid #bbb; }

.timetable ul+ul li { position:relative; }
.timetable ul+ul:not(:last-child) li div { padding:5px; text-align:left; position:absolute; width:calc(100%); font-weight:bold; border:solid 5px transparent; border-radius:3px; z-index:1; opacity:0.95;text-wrap: nowrap; }
.timetable ul+ul li div:hover { z-index:2; }

.timetable > :first-child li div    { position: relative; } /* background-color:var(--backgroundColorLight); */
.timetable > :last-child li div     { position: relative; }
.timetable > :first-child li div span   { position:absolute; bottom:0; transform: translate(-50%, 50%); font-weight:bold; }
.timetable > :last-child li div span    { position:absolute; bottom:0; transform: translate(-50%, 50%); font-weight:bold; }



/* .nocol { width:65px; } */

@media screen and (max-width:768px)
{
	/*.flex_container { gap:0; } */

	:is(.screen_hide col, .screen_hide th, .screen_hide td):nth-child(4) { display:none; }
	:is(.screen_hide col, .screen_hide th, .screen_hide td):nth-child(n+7):nth-child(-n+10) { display:none; }



	:is(.class_content col, .class_content thead th, .class_content tbody th, .class_content td):last-child { display:none; }


	.class_content col:first-child { width:50px !important;}
	.class_content col:nth-child(2) { width:auto !important; }

	.class_content col:nth-child(2) { display:none; }
	.class_content col:nth-child(4) { display:none; }
	.class_content td:first-child[rowspan] ~ th:nth-child(2) { display:none; }
	.class_content td:first-child[rowspan] ~ th:nth-child(4) { display:none; }
	.class_content thead th:first-child:not([rowspan]), .class_content tbody th:first-child:not([rowspan]) { display:none; }
	.class_content th:first-child:not([rowspan]) ~ th:nth-child(1) { display:none; }
	.class_content th:first-child:not([rowspan]) ~ th:nth-child(3) { display:none; }


	.class_content td:first-child[rowspan] ~ td:nth-child(3),
	.class_content th:first-child:not([rowspan]) ~ td:nth-child(2) { max-width: 50px; white-space: nowrap; overflow: hidden; }


}

@media screen and (min-width:769px) and (max-width:1199px)
{


	:is(.class_content col, .class_content thead th, .class_content tbody th, .class_content td):last-child { display:none; }


	.class_content col:first-child { width:50px !important;}
	.class_content col:nth-child(2) { width:auto !important; }

	.class_content col:nth-child(2) { display:none; }
	.class_content col:nth-child(4) { display:none; }
	.class_content td:first-child[rowspan] ~ th:nth-child(2) { display:none; }
	.class_content td:first-child[rowspan] ~ th:nth-child(4) { display:none; }
	.class_content thead th:first-child:not([rowspan]), .class_content tbody th:first-child:not([rowspan]) { display:none; }
	.class_content th:first-child:not([rowspan]) ~ th:nth-child(1) { display:none; }
	.class_content th:first-child:not([rowspan]) ~ th:nth-child(3) { display:none; }


	.class_content td:first-child[rowspan] ~ td:nth-child(3),
	.class_content th:first-child:not([rowspan]) ~ td:nth-child(2) { max-width: 50px; white-space: nowrap; overflow: hidden; }

}

@media screen and (min-width: 1200px) {
/*	.nocol { width:40px; } */
}